Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::movie_texture_class Class Reference

Inheritance diagram for openvrml::vrml97_node::movie_texture_class:

[legend]
List of all members.

## Detailed Description

Class object for MovieTexture nodes.

## Public Member Functions
| movie_texture_class (openvrml::browser &browser)
| Construct.
virtual | ~movie_texture_class () throw ()
| Destroy.
## Private Member Functions
virtual const node_type_ptr | do_create_type (const std::string &id, const node_interface_set &interfaces) const throw (unsupported_interface, std::bad_alloc)
| Create a node_type.

## Constructor & Destructor Documentation

openvrml::vrml97_node::movie_texture_class::movie_texture_class | ( | openvrml::browser & | browser | ) | `[explicit]`

  | Construct. Parameters:
  | browser | the browser associated with this class object.

openvrml::vrml97_node::movie_texture_class::~movie_texture_class | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

const node_type_ptr openvrml::vrml97_node::movie_texture_class::do_create_type | ( | const std::string & | id,
|  | const node_interface_set & | interfaces
| ) | const throw (unsupported_interface, std::bad_alloc)`[private, virtual]`

  | Create a node_type. Parameters:
  | id | the name for the new node_type.
  | interfaces | the interfaces for the new node_type.
  Returns: a node_type_ptr to a node_type capable of creating MovieTexture nodes. Exceptions:
  | unsupported_interface | if `interfaces` includes an interface not supported by movie_texture_class.
  | std::bad_alloc | if memory allocation fails.
Implements openvrml::node_class.